Bug 460135 - CIFS: enable DFS support as tech-preview in RHEL5.3
CIFS: enable DFS support as tech-preview in RHEL5.3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jeff Layton
Martin Jenner
TechPreview
: FutureFeature
Depends On: 453462
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 08:11 EDT by Jeff Layton
Modified: 2014-06-18 03:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:14:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2008-08-26 08:11:49 EDT
As part of the CIFS update for RHEL5.3, I've gone ahead and backported the patches to allow DFS support. This feature is fairly new upstream though and I don't think we want to "officially" support it yet. Opening this BZ to track enabling this as tech preview.

The actual work for this was done in bug 453462.
Comment 2 Jeff Layton 2008-09-13 15:00:14 EDT
Committed with CIFS update in -113.el5
Comment 5 Juanjo Villaplana 2008-10-10 13:50:18 EDT
At our site we are very interested on getting DFS CIFS mounts to work. Please let us know when a testing kernel is available.

Regards,
              Juanjo
Comment 6 Jeff Layton 2008-10-10 14:37:23 EDT
I have some test kernels with these patches on my people page:

http://people.redhat.com/jlayton

...DFS also requires the cifs.upcall program, that should be part of the samba-client package in 5.3.
Comment 8 errata-xmlrpc 2009-01-20 15:14:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.